diff --git a/emacsen-common.install b/emacsen-common.install
index de2e7a7..b8046a9 100755
--- a/emacsen-common.install
+++ b/emacsen-common.install
@@ -3,8 +3,27 @@
 set -e
 
 FLAVOR=$1
+package=emacsen-common
+
+case "$FLAVOR" in
+    emacs)
+        # Dummy emacs flavor. Do nothing and exit
+        exit 0
+        ;;
+    xemacs*)
+        no_site_file="-no-site-file"
+        ;;
+    emacs*)
+        no_site_file="--no-site-file"
+        ;;
+    *)
+        echo install/${package}: Ignoring emacsen flavor [${FLAVOR}]
+        exit 0
+        ;;
+esac
+
 # Make sure these options are appropriate for the given package.
-compile_options="--no-init-file --no-site-file -batch -f batch-byte-compile"
+compile_options="--no-init-file $no_site_file -batch -f batch-byte-compile"
 
 echo emacsen-common: Handling install of emacsen flavor ${FLAVOR}
 
